# Class: Concurrent::MultipleAssignmentError

Inherits:
  Error
  - Object
  - Concurrent::MultipleAssignmentError
  show all

Defined in:
  lib/concurrent/errors.rb

## Overview

Raised when an attempt is made to modify an immutable object (such as an `IVar`) after its final state has been set.

## Instance Attribute Summary collapse

- #inspection_data ⇒ undocumented readonly

  Returns the value of attribute inspection_data.

## Instance Method Summary collapse

- #initialize(message = nil, inspection_data = nil) ⇒ MultipleAssignmentError constructor

  A new instance of MultipleAssignmentError.

- #inspect ⇒ undocumented

## Constructor Details

### #initialize(message = nil, inspection_data = nil) ⇒ `MultipleAssignmentError`

Returns a new instance of MultipleAssignmentError

    36
    37
    38
    39

    # File 'lib/concurrent/errors.rb', line 36

    def initialize(message = nil, inspection_data = nil)
      @inspection_data = inspection_data
      super message
    end

## Instance Attribute Details

### #inspection_data ⇒ `undocumented` (readonly)

Returns the value of attribute inspection_data

    34
    35
    36

    # File 'lib/concurrent/errors.rb', line 34

    def inspection_data
      @inspection_data
    end

## Instance Method Details

### #inspect ⇒ `undocumented`

    41
    42
    43

    # File 'lib/concurrent/errors.rb', line 41

    def inspect
      format '%s %s>', super[0..-2], @inspection_data.inspect
    end